Package org.lwjgl.opengles

# Class EXTDebugLabel

java.lang.Object
org.lwjgl.opengles.EXTDebugLabel

public final class EXTDebugLabel extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BUFFER_OBJECT_EXT`
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static final int`
`GL_PROGRAM_OBJECT_EXT`
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static final int`
`GL_PROGRAM_PIPELINE_OBJECT_EXT`
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static final int`
`GL_QUERY_OBJECT_EXT`
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static final int`
`GL_SHADER_OBJECT_EXT`
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static final int`
`GL_VERTEX_ARRAY_OBJECT_EXT`
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

## Method Summary

Modifier and Type
Method
Description
`static String`
`glGetObjectLabelEXT(int type, int object, int bufSize)`
Overloads glGetObjectLabelEXT.
`static void`
`glGetObjectLabelEXT(int type, int object, IntBuffer length, ByteBuffer label)`
`static void`
`glLabelObjectEXT(int type, int object, CharSequence label)`
Overloads glLabelObjectEXT.
`static void`
`glLabelObjectEXT(int type, int object, ByteBuffer label)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_BUFFER_OBJECT_EXT

public static final int GL_BUFFER_OBJECT_EXT
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

See Also:
  - Constant Field Values

### GL_SHADER_OBJECT_EXT

public static final int GL_SHADER_OBJECT_EXT
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

See Also:
  - Constant Field Values

### GL_PROGRAM_OBJECT_EXT

public static final int GL_PROGRAM_OBJECT_EXT
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_OBJECT_EXT

public static final int GL_VERTEX_ARRAY_OBJECT_EXT
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

See Also:
  - Constant Field Values

### GL_QUERY_OBJECT_EXT

public static final int GL_QUERY_OBJECT_EXT
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

See Also:
  - Constant Field Values

### GL_PROGRAM_PIPELINE_OBJECT_EXT

public static final int GL_PROGRAM_PIPELINE_OBJECT_EXT
Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

See Also:
  - Constant Field Values

## Method Details

### glLabelObjectEXT

public static void glLabelObjectEXT(int type, int object, ByteBuffer label)

### glLabelObjectEXT

public static void glLabelObjectEXT(int type, int object, CharSequence label)
Overloads glLabelObjectEXT.

### glGetObjectLabelEXT

public static void glGetObjectLabelEXT(int type, int object, IntBuffer length, ByteBuffer label)

### glGetObjectLabelEXT

public static String glGetObjectLabelEXT(int type, int object, int bufSize)
Overloads glGetObjectLabelEXT.